# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class BaseFeed.FeedState

    java.lang.Object
      com.google.gdata.data.BaseFeed.FeedState

Enclosing class:
  BaseFeed<F extends BaseFeed,E extends BaseEntry>

    protected static class BaseFeed.FeedState

extends java.lang.Object

The FeedState class provides a simple structure that encapsulates the attributes of an Atom feed that should be shared with a shallow copy if the feed is adapted to a more specific BaseFeed `Kind.Adaptor` subtypes.

Note: Feed entries are not part of feed shared state, because the entry lists will need to be typed differently for adapted instances. This means that entries that are created, updated, or deleted in an adapted feed will not be reflected in the base feed used to construct it. The reverse is also true: changes made to a base feed will not be reflected in any adapted instances of the feed.

See Also:
  `BaseFeed.BaseFeed(Class, BaseFeed)`

Field Summary
`Kind.Adaptable` `adaptable` Adaptable helper
`boolean` `canPost` Specifies whether the feed can be posted to.
`java.lang.String` `etag` Etag.
`java.lang.String` `fields` gd:fields.
`int` `itemsPerPage` OpenSearch: items per page.
`java.lang.String` `kind` gd:kind.
`Service` `service` Service associated with the feed.
`int` `startIndex` OpenSearch: start index.
`int` `totalResults` OpenSearch: number of search results (feed entries).
`java.lang.String` `versionId` Resource version id to use when generating etag.

Constructor Summary
`protected` `BaseFeed.FeedState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service

    public Service service

  Service associated with the feed.

### canPost

    public boolean canPost

  Specifies whether the feed can be posted to.

### totalResults

    public int totalResults

  OpenSearch: number of search results (feed entries).

### startIndex

    public int startIndex

  OpenSearch: start index.

### itemsPerPage

    public int itemsPerPage

  OpenSearch: items per page.

### adaptable

    public Kind.Adaptable adaptable

  Adaptable helper

### etag

    public java.lang.String etag

  Etag. Etag. See RFC 2616, Section 3.11. If there is no entity tag, this variable is null.

### fields

    public java.lang.String fields

  gd:fields. This is the field selection associated with this feed. If fields attribute is present, the feed is a partial feed.

### kind

    public java.lang.String kind

  gd:kind. This is the kind attribute for this entry.

### versionId

    public java.lang.String versionId

  Resource version id to use when generating etag.

Constructor Detail

### BaseFeed.FeedState

    protected BaseFeed.FeedState()